Package com.rosivanyshyn.service

# Interface OrderService

All Known Implementing Classes:
  `OrderServiceImpl`

public interface OrderService
Order Service interface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `createOrder(Order order)`
  Create new order
  `Boolean`
  `deleteOrder(Order order)`
  Delete order
  `ArrayList<Order>`
  `findFewOrders(int start, int total)`
  Find few orders by total count and from set start id
  `ArrayList<Order>`
  `findFewOrdersAndSort(String secondQueryPart, Object... fields)`
  Find few orders using second query part conditions and by fields for them
  `Order`
  `findOrderByField(String field, Object value)`
  Find order by field
  `int`
  `getRowsNumber()`
  Get last statement rows count
  `Boolean`
  `updateOrder(Order order)`
  Update order

- ## Method Details

  - ### createOrder

    Boolean createOrder(Order order)
    Create new order
    Parameters:
      `order` - the order to be added
    Returns:
      operation result

  - ### findOrderByField

    Order findOrderByField(String field, Object value)
    Find order by field
    Parameters:
      `field` - field name
      `value` - unique field value
    Returns:
      found order

  - ### findFewOrders

    ArrayList<Order> findFewOrders(int start, int total)
    Find few orders by total count and from set start id
    Parameters:
      `start` - countdown start id
      `total` - total rows count
    Returns:
      found orders

  - ### findFewOrdersAndSort

    ArrayList<Order> findFewOrdersAndSort(String secondQueryPart, Object... fields)
    Find few orders using second query part conditions and by fields for them
    Parameters:
      `secondQueryPart` - QueryBuilder result string
      `fields` - fields to insert in second query part statement
    Returns:
      found orders

  - ### updateOrder

    Boolean updateOrder(Order order)
    Update order
    Parameters:
      `order` - order to update
    Returns:
      operation result

  - ### deleteOrder

    Boolean deleteOrder(Order order)
    Delete order
    Parameters:
      `order` - order to delete
    Returns:
      operation result

  - ### getRowsNumber

    int getRowsNumber()
    Get last statement rows count
    Returns:
      last statement rows count